Description

Supportanfrage

wir haben folgendes Problem mit der Device-Toolbox V2.7.0:

im Gegensatz zu allen vorherigen Versionen (bin V2.6.2) braucht ein Flexray Export mit dem Flexray-Sink (ASCII) einen FIBEX File.

Grund dafür ist wahrscheinlich der im Changelog erwähnte Punkt "#37128 [flexray_export] FlexRay ASC Sink must set the correct

cycle repetition value".

Der ASCII Export dürfte aber hauptsächlich dann ausgewählt werden, wenn kein FIBEX File vorliegt und die Decodierung des

Traces der nachfolgenden Toolkette überlassen werden soll (z.B. CANape mit ARXML). In der V2.7.0 ist dieser Usecase nicht mehr

möglich.

Daher sollte der Flexray Sink - wenn kein Fibex file angegeben wird - sich so verhalten, wie der Flexray Sink der vorhergehenden

Versionen.

Lösung

Produktticket ADEVTB-1591 angelegt

History

#1 - 2018-12-07 07:57 - hidden

- Status changed from New to In Progress

- Topic set to DeviceTB::Flexray

#2 - 2018-12-07 08:24 - hidden

- Status changed from In Progress to Customer Feedback Required

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-1397

Hallo Gerhard,

ja, das ist richtg, das angegebene Ticket war die Änderung.

Grund hierfür, ist das das Verhalten bzw. der Export vorher falsch war, hier wurde immer 64 eingetragen, imho für sämtliche Postprozesse ein

Fehlverhalten.

Der Use Case, einen ASC Export nur zu machen, wenn man kein Fibex hat, ist mir neu, stelle ich aber keineswegs bei euch infrage, bei uns ist er

anders (Weiterverwendung in CANoe, FIBEX sowie korrekte Cycle Repetition essentiell!).

Mir fiele an dieser Stelle nur ein, bei fehlenden FIBEX nicht abzubrechen, eine entsprechende Warning auszugeben und wieder den alten, statischen

Wert 64 einzutragen, der imho falsch ist...

Ich wüsste nicht, was man sonst eintragen sollte...

Alternative wäre eine Legacy Exporter, also eine Kopie mit Revert des Codes.

Oder ihr verwendet für euren Use Case den alten Export Sink Service.
#3 - 2018-12-07 09:56 - hidden

Hallo Florian,

das ASC Formt ist ein Rohdatenformat bei dem ein zwingendes Vorhandensein eine Fibex Files nicht erforderlich sein sollte.

Zudem werden bei Daimler nur noch ARXML Dateien bereitgestellt und Fibex kann nur noch über einen Umweg eines alten nicht mehr gepflegten

Konverters erzeugt werden. Dieser Weg ist allerdings mit Autosar 4.3 auch nicht mehr möglich.

Wenn der Wert 64 falsch ist, weil willkürlich ausgewählt, könnte ggf, auch einfach per Parameter ein Wert einstellbar sein. So kann der Benutzer

immerhin noch selber wählen was passieren soll.

Der jetztige Weg ist aber mit Abstand der schlechteste weil die vorherige Funktion, ein Export ohne Fibex, einfach entfallen ist.

Daher meine Bitte den Exporter so zu erweitern, dass das Fibex als Optional anzusehen ist.

Viele Grüße

Wolfgang

#4 - 2018-12-07 10:16 - hidden

Hallo Gerhard/Wolfgang,

das ASC Formt ist ein Rohdatenformat bei dem ein zwingendes Vorhandensein eine Fibex Files nicht erforderlich sein sollte.

 Wie gesagt, das ist euer Use Case, ich habe einen anderen auf den Tisch.

Beide Annahmen und Anforderungen haben daher ihre Daseinsberechtigung.

Zudem werden bei Daimler nur noch ARXML Dateien bereitgestellt und Fibex kann nur noch über einen Umweg eines alten nicht mehr

gepflegten Konverters erzeugt werden. Dieser Weg ist allerdings mit Autosar 4.3 auch nicht mehr möglich.

 Dann könnt ihr darin auch eine arxml angeben und euren Autosar Parser verwenden (analog zu Flexray Device Filter)

Wenn der Wert 64 falsch ist, weil willkürlich ausgewählt, könnte ggf, auch einfach per Parameter ein Wert einstellbar sein. So kann der Benutzer

immerhin noch selber wählen was passieren soll.

 Das ist auch keine Lösung, der Wert ist einfach falsch, wenn er nicht der eines jeweiligen Frames/PDU ist.

D.h. wir müssten es für jedes Signal verfügbar machen -> macht keinen Sinn.

Nochmal, die Maximale Cycle Repetition anzunehmen ist einfach falsch !!

Der jetzige Weg ist aber mit Abstand der schlechteste weil die vorherige Funktion, ein Export ohne Fibex, einfach entfallen ist.

 Diese Aussage ist leider wenig hilfreich für die Lösung des Problems, da wie oben beschrieben es a) noch andere Use Cases und Annahmen als

eure gibt und b) der Wert wie mehrfach betont falsch ist, deshalb auch das bisherige Verhalten.

Daher meine Bitte den Exporter so zu erweitern, dass das Fibex als Optional anzusehen ist.

 Ja, da gehe ich mit, für euren Use Case ohne FIBEX ist der Export nicht mehr möglich und deshalb wägen wir die weiteren Schritte ab, wie im letzten

Kommentar beschrieben:

1) Warning, kein Abbruch, wieder 64 eintragen

2) Neue Sink (Legacy) mit statischen Wert 64

3) Eine weitere Alternative wäre euch den Code zu geben, aktuell ist keine Patch Version geplant und ein Workaround mit der alten Sink vorhanden

Bis auf weiteres bitte ich daher die alte Sink an dieser Stelle zu verwenden.

Dazu braucht ihr nicht die komplette alte TB zu verwenden, sondern nur diese eine Komponente.

#5 - 2018-12-07 10:18 - hidden

@Frank: Bitte bewerten

#6 - 2018-12-12 10:20 - hidden

- Status changed from Customer Feedback Required to In Progress

Hallo zusammen,

die Aussagen von Florian sind korrekt und ich gehe mit diesen 100%ig mit.

Ich kann aber auch euren Standpunkt verstehen, dass der Flx-Exporter im aktuellen Zustand nicht verwendbar ist.

Mit den Vorschlägen aus Kommentar 4 würde ich hier die Varianten 1 und 3 bevorzugen.
Welche Variante zum Einsatz kommt muss aber noch einmal intern mit den Kollegen besprochen werden.

Viele Grüße

Frank

#7 - 2018-12-17 16:14 - hidden

- Subject changed from Problem mit der Device Toolbox V2.7.0 to Could not export ASC from Flexray stream without FIBEX

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers changed from https://www.cip.audi.de/jira/browse/ADEVTB-1397 to https://www.cip.audi.de/jira/browse/ADEVTB-1397;

https://www.cip.audi.de/jira/browse/ADEVTB-1591

Produktticket angelegt, wir versuchen das in einer 2.7.1 zu platzieren und diese einzuplanen.

Wir werden via Property das Verhalten auf Warning konfiguierbar machen, default bleibt allerdings Error.

Damit könnt ihr durch setzen der Property wieder ohne FIBEX in 2.7.x exportieren.

Bis dahin bitte den "alten" Exporter verwenden.

#8 - 2018-12-17 16:14 - hidden

- Project changed from 9 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
